Subject: [Sipping] draft-ietf-sip-call-flows-05

From: "Bob Penfield" <[email-masked]>
Date: Mon, 2 Jul 2001 15:53:50 -0400

Hi Alan,

Section 3.1.2 of draft-ietf-sip-call-flows-05 includes an authentication
challenge from a proxy to a UAC. Message F2 has a 407 response along with a
Proxy-Authenticate header, yet message F4 has an Authorization header. I
believe this should be a Proxy-Authorization header to match the challenge.

cheers,
(-:bob

Robert F. Penfield
Chief Software Architect
Acme Packet, Inc.
130 New Boston Street
Woburn, MA 01801
[email-masked]

_______________________________________________
Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Alan Johnston <[email-masked]>
Date: Tue, 10 Jul 2001 10:34:36 -0500

Bob,

I thought I fixed all of these, but this one must have slipped through - I will
fix it.

Thanks,
Alan Johnston
sip:[email-masked]

---

From: "A Venkatraman" <[email-masked]>
Date: Thu, 12 Jul 2001 12:04:54 -0500

I would like affirmation (or negation+correction) of my understanding of how
the Req-URI is to be built for a PRACK when the proxy does not add a  Record
Route.

Since the CONTACT is mandatory on a reliable provisional response, the PRACK
must use the CONTACT to build the REQ-URI.
This means that the PRACK will bypass the proxies, since none of them have
record routed.

The 100rel draft does not specifically mention this in the UAC section,
probably because this is the only obvious conclusion from the statement in
the UAS section about CONTACT being mandatory on the reliable prov response.
Or, is there another reason that I have not comprehended?

---

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 30 Jul 2001 19:05:38 +0300

Hello,

This question is actually more related to SIP than to SIPPING. Anyway,
the question would be how to route messages in general before the
INVITE-200 OK Route has been built. Because the Record-Route in the 200
OK will be the one used in the ACK and in subsequent requests. Otherwise
RFC 2543 compliant entities would be confused.

The idea is to build a Route to be used for requests between the INVITE
and the 200 OK. This Route can be built using the Record-Route
information contained in the reliable response. Therefore, this Route
will be typically applicable for PRACKs and COMETs.

In your example, no Record-Route and a contact header means that PRACKs
do not need to carry a Route header, but have to be sent (request-URI)
to the address specified in the contact (as you figured out).

Regards,

Gonzalo

-- 
Gonzalo Camarillo                    Phone :   +1 212 939 71 71
Columbia University                  Mobile:  +358 40 702 35 35
472 Computer Science Building        Fax   :  +358  9 299 30 52
1214 Amsterdam Ave., Mail Code 0401  http://www.hut.fi/~gonzalo
New York, NY 10027                   
USA                              [email-masked]